fragment pipelineFields on PipelineConnection {
  nodes {
    id
    duration
    finishedAt
    status
  }
  pageInfo {
    endCursor
    hasNextPage
  }
}

query getPipelinesForProject {
  projects(ids: [
    <% projects.each do |p| %>
    "gid://gitlab/Project/<%= p %>"
    <% end %>
  ]) {
    nodes {
      id
      name
      fullPath
      webUrl
      main: pipelines(ref: "main", scope: FINISHED, updatedAfter: "<%= updatedAfter %>", after: "<%= cursor %>") {
        ...pipelineFields
      }
      master: pipelines(ref: "master", scope: FINISHED, updatedAfter: "<%= updatedAfter %>", after: "<%= cursor %>") {
        ...pipelineFields
      }
    }
  }
}
